# Class DocumentAttributes

#### Hierarchy (view full)

- XmlAttributeComponent<IDocumentAttributesProperties>
  - DocumentAttributes

- Defined in file/document/document-attributes.ts:47

#####
Index

### Constructors

constructor

### Methods

prepForXml

##
Constructors

### constructor

- new DocumentAttributes(root): DocumentAttributes

- #### Parameters

  - root: IDocumentAttributesProperties

  #### Returns DocumentAttributes

  Inherited from XmlAttributeComponent.constructor

  - Defined in file/xml-components/default-attributes.ts:13

##
Methods

### prepForXml

- prepForXml(_): IXmlableObject

- #### Parameters

  - _: IContext

  #### Returns IXmlableObject

  Inherited from XmlAttributeComponent.prepForXml

  - Defined in file/xml-components/default-attributes.ts:17